groundhog: Reproducible Scripts via Version-Specific Package Loading

Make R scripts that rely on packages reproducible by ensuring that every time a given script is run, the same version of the used packages are loaded (instead of whichever version the user running the script happens to have installed). This is achieved by using the new command groundhog.library() instead of the base command library(), and including a date in the call. The date is used to call on the same version of the package every time (the most recent version available on CRAN at that date).

Version: 1.0.0
Suggests: covr, testthat (≥ 2.1.0), knitr, rmarkdown
Published: 2020-10-30
Author: Uri Simonsohn ORCID iD [aut, cph], Hugo Gruson ORCID iD [cre, aut]
Maintainer: Hugo Gruson <hugo.gruson+R at normalesup.org>
BugReports: https://github.com/CredibilityLab/groundhog/issues
License: GPL-3
URL: https://groundhogr.com/, https://github.com/CredibilityLab/groundhog
NeedsCompilation: no
Materials: README
CRAN checks: groundhog results

Downloads:

Reference manual: groundhog.pdf
Vignettes: groundhog
Package source: groundhog_1.0.0.tar.gz
Windows binaries: r-devel: groundhog_1.0.0.zip, r-release: groundhog_1.0.0.zip, r-oldrel: groundhog_1.0.0.zip
macOS binaries: r-release: groundhog_1.0.0.tgz, r-oldrel: groundhog_1.0.0.tgz

Linking:

Please use the canonical form https://CRAN.R-project.org/package=groundhog to link to this page.